libmrmpi-dev_1.0~20140404-2+b1_i386.deb


Advertisement

Description

libmrmpi-dev - Implements MapReduce operation on top of standard MPI message - development

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libmrmpi-dev_1.0~20140404-2+b1_i386.deb
Package name libmrmpi-dev
Package version 1.0~20140404
Package release 2+b1
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage http://mapreduce.sandia.gov/
License -
Maintainer Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Download size 9.89 KB
Installed size 49.00 KB
The MapReduce-MPI (MR-MPI) library is open-source software that implements the
MapReduce operation popularized by Google on top of standard MPI message
passing.
The MR-MPI library is written in C++ and is callable from hi-level languages
such as C++, C, Fortran. A Python wrapper is also included, so MapReduce
programs can be written in Python, including map() and reduce() user callback
methods. A hi-level scripting interface to the MR-MPI library, called OINK, is
also included which can be used to develop and chain MapReduce algorithms
together in scripts with commands that simplify data management tasks. OINK has
its own manual and doc pages.
This package contains development files needed to build MapReduce-MPI
applications.

Alternatives

Package Version Architecture Repository
libmrmpi-dev_1.0~20140404-2+b1_amd64.deb 1.0~20140404 amd64 Debian Main
libmrmpi-dev - - -

Requires

Name Value
libmrmpi1 = 1.0~20140404-2+b1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmrmpi-dev_1.0~20140404-2+b1_i386.deb
Source Package mrmpi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmrmpi-dev deb package:
    # sudo apt-get install libmrmpi-dev

Files

Path
/usr/include/mrmpi/cmapreduce.h
/usr/include/mrmpi/error.h
/usr/include/mrmpi/hash.h
/usr/include/mrmpi/irregular.h
/usr/include/mrmpi/keymultivalue.h
/usr/include/mrmpi/keyvalue.h
/usr/include/mrmpi/mapreduce.h
/usr/include/mrmpi/memory.h
/usr/include/mrmpi/mrmpi_config.h
/usr/lib/i386-linux-gnu/libMapReduceMPI.so
/usr/share/doc/libmrmpi-dev/changelog.Debian.gz
/usr/share/doc/libmrmpi-dev/changelog.Debian.i386.gz
/usr/share/doc/libmrmpi-dev/copyright

Changelog

2018-01-26 - Andreas Tille <tille@debian.org>
mrmpi (1.0~20140404-2) unstable; urgency=medium
* Team upload.
[ Mathieu Malaterre ]
* Remove self from Uploaders
[ Andreas Tille ]
* Moved packaging from SVN to Git
* cme fix dpkg-control
* debhelper 11
* Standards-Version: 4.1.3
* Fix spelling in short description
* DEP3
* DEP5
2014-04-09 - Mathieu Malaterre <malat@debian.org>
mrmpi (1.0~20140404-1) unstable; urgency=low
* New upstream
2013-12-11 - Mathieu Malaterre <malat@debian.org>
mrmpi (1.0~20131122-1) unstable; urgency=low
* New upstream
* Set CMAKE_BUILD_TYPE explicitly to None
* Bump Std-Vers to 3.9.5, no changes needed
2013-10-13 - Mathieu Malaterre <malat@debian.org>
mrmpi (1.0~20130917-1) unstable; urgency=low
* New upstream, minor fix for python wrapper
2013-06-10 - Mathieu Malaterre <malat@debian.org>
mrmpi (1.0~20130311-3) unstable; urgency=low
* Remove symbols file for now
2013-06-09 - Mathieu Malaterre <malat@debian.org>
mrmpi (1.0~20130311-2) unstable; urgency=low
* Make sure to remove mpi exported symbols
* Fix d/watch
2013-06-07 - Mathieu Malaterre <malat@debian.org>
mrmpi (1.0~20130311-1) unstable; urgency=low
* New upstream. Add d/watch helper
* Bump Std-Vers to 3.9.4, no changes needed
* Use new hardening from dh/9
* Avoid CMake/RelWithDebInfo/NDEBUG issue
* Add symbols file
* Make package multi-arch
2012-03-30 - Mathieu Malaterre <malat@debian.org>
mrmpi (1.0~20110620.dfsg-1) unstable; urgency=low
* Build documentation (add mrmpi-doc package)
* Remove DMUA flag, not required
* Use my d.o alias
2011-10-26 - Mathieu Malaterre <mathieu.malaterre@gmail.com>
mrmpi (1.0~20110620-1) experimental; urgency=low
* Initial Debian Upload (Closes: #646757)

See Also

Package Description
libmrmpi1_1.0~20140404-2+b1_i386.deb Implements MapReduce operation on top of standard MPI message - runtime
libmro-compat-perl_0.13-1_all.deb mro::* interface compatibility for Perls < 5.9.5
libmrpt-base1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - base library
libmrpt-detectors1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - detectors library
libmrpt-dev_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - Development headers
libmrpt-graphs1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - graphs library
libmrpt-graphslam1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - graphslam library
libmrpt-gui1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - gui library
libmrpt-hmtslam1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - hmtslam library
libmrpt-hwdrivers1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - hwdrivers library
libmrpt-kinematics1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - kinematics library
libmrpt-maps1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - maps library
libmrpt-nav1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - nav library
libmrpt-obs1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - obs library
libmrpt-opengl1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - opengl library
Advertisement
Advertisement